org.eclipse.ltk.core.refactoring.participants

## Interface IParticipantDescriptorFilter

    public interface IParticipantDescriptorFilter

A participant descriptor filter allows clients to provide additional filters on participant selection.

Since:
  3.2

### Field Summary

Fields
`static String` `NAME` A constant indicating a name attribute (value: `name`)
`static String` `PARAM` A constant indicating a param element (value: `param`)
`static String` `VALUE` A constant indicating a value attribute (value: `value`)

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `select(IConfigurationElement element, RefactoringStatus status)` Returns whether the given element makes it through this filter.

### Field Detail

#### PARAM

    static final String PARAM

A constant indicating a param element (value: `param`)

See Also:
  Constant Field Values

#### NAME

    static final String NAME

A constant indicating a name attribute (value: `name`)

See Also:
  Constant Field Values

#### VALUE

    static final String VALUE

A constant indicating a value attribute (value: `value`)

See Also:
  Constant Field Values

### Method Detail

#### select

    boolean select(IConfigurationElement element,
                   RefactoringStatus status)

Returns whether the given element makes it through this filter.

Parameters:
  `element` - the configuration element describing the refactoring participant
  `status` - a RefactoringStatus to optionally add warning messages if the participant was not selected
Returns:
  `true` if element is included, and `false` if excluded